lldpctl: invalid option 'L'
Closed, ResolvedPublicBUG

Description

Using the following configuration:

cpo@CR1# show service lldp
 interface eth0 {
     location {
         elin 004917xxxxxxxx
     }
 }
 management-address 172.16.254.31
 snmp {
     enable
 }

Produces

cpo@CR1# commit
[ service lldp ]
Starting lldpd...
/usr/sbin/lldpctl: invalid option -- 'L'
/usr/sbin/lldpctl: invalid option -- 'L'
Usage:   lldpctl [OPTIONS ...] [COMMAND ...]
Version: lldpd 0.7.11

-d          Enable more debugging information.
-u socket   Specify the Unix-domain socket used for communication with lldpd(8).
-f format   Choose output format (plain, keyvalue, json or xml).

see manual page lldpcli(8) for more information
Warning: error setting location on [eth0]

Details

Difficulty level
Unknown (require assessment)
Version
999.201708241837
Why the issue appeared?
Will be filled on close

Related Objects

c-po created this task.Aug 27 2017, 4:20 PM
syncer added a subscriber: syncer.

in old version
-L location Enable the transmission of LLDP-MED location TLV for the

given interfaces. Can be repeated to enable the transmission
of the location in several formats.

but in new it´s likely moved to lldpctl
for reference: http://manpages.ubuntu.com/manpages/trusty/man8/lldpctl.8.html

c-po added a comment.EditedAug 27 2017, 4:27 PM

I can remove -L so it's working again. Should I?

Removing -L and applying the above nodes gives me on my EdgeOS router:

cpo@BR1:~$ show lldp neighbors
Capability Codes: R - Router, B - Bridge, W - Wlan r - Repeater, S - Station
                  D - Docsis, T - Telephone, O - Other

Device ID                 Local  Proto  Cap   Platform             Port ID
---------                 -----  -----  ---   --------             -------
CR1.mucI.xxxxx.net        eth1   LLDP   RS    VyOS unknown         eth0

that will be half fix
let me check on all lldpctl
i almost sure that we can add some other things (not sure if anything else missing there)

c-po added a comment.EditedAug 27 2017, 4:32 PM

@syncer As this is an option to lldpcli I suggest fixing the above (1) and create a new command (2) for LLDP-MED enable/disable and interval. My current knowledge ov VyOS build/configure currently only allows me to fix (1).

https://github.com/vyos/vyatta-lldp/pull/2

c-po added a comment.Aug 28 2017, 10:46 AM

I just have verified that " LLDP-MED fast start mechanism: yes" is the default after my mentioned commit.

c-po added a comment.Aug 30 2017, 7:12 AM

@syncer could this change be approved or is anything else missing?

c-po moved this task from Need Triage to In Progress on the VyOS 1.2.x board.Sep 3 2017, 7:56 AM
c-po assigned this task to syncer.Sep 7 2017, 12:21 PM
syncer reassigned this task from syncer to UnicronNL.Sep 7 2017, 12:22 PM

Hi Kim, can you merge this
Thanks!

c-po added a comment.Sep 16 2017, 10:50 AM

Please also see T393

Yes, @Tania and I are working on the rewrite.

I've merged the PR though, and we'll make sure to account for this in the new version of course!

kingrvbee added a subscriber: kingrvbee.EditedSep 20 2017, 5:43 AM

This patch something error

vyos-build can't successful dating from 9/16

maybe vyos-1x or vyatta-lldp

dpkg: error processing archive /var/cache/apt/archives/vyos-1x_1.0.1_all.deb (--unpack):
trying to overwrite '/opt/vyatta/share/vyatta-cfg/templates/service/lldp/snmp/enable/node.def', which is also in package vyatta-lldp 0.25+vyos2+current1

c-po added a comment.Sep 20 2017, 7:30 AM

@kingrvbee this is not entirely correct. The problem comes from package vyos-1x which now holds the lldp configuration nodes. @dmbaturin is aware of this and wanted to fix it. Please be patient.

This comment was removed by kingrvbee.
c-po added a comment.Fri, Nov 3, 12:26 PM

This regression is fixed. @syncer should we resolve it?

I think migration to vyos-1x is another task.

syncer moved this task from In Progress to Finished on the VyOS 1.2.x board.Fri, Nov 3, 12:28 PM
syncer closed this task as Resolved.

Yes, marking as solved